Bug 25931 - vixie-cron in fisher requires patch to build against current glibc cvs
Summary: vixie-cron in fisher requires patch to build against current glibc cvs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-04 00:17 UTC by Jack Howarth
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 22:05:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Howarth 2001-02-04 00:17:25 UTC
As with pam, vixie-cron requires a patch to build against the current glibc
cvs
which has header fixes...

--- vixie-cron-3.0.1/cron.c	Sat Feb  3 18:17:58 2001
+++ vixie-cron-3.0.1.new/cron.c	Sat Feb  3 18:18:55 2001
@@ -25,11 +25,7 @@
 
 #include "cron.h"
 #include <sys/signal.h>
-#if SYS_TIME_H
-# include <sys/time.h>
-#else
-# include <time.h>
-#endif
+#include <time.h>
 
 
 static	void	usage __P((void)),

Comment 1 Glen Foster 2001-02-05 22:51:41 UTC
We (Red Hat) should really try hard to fix this before next release.

Comment 2 Bill Nottingham 2001-02-06 23:37:06 UTC
Fixed in 3.0.1-59.


Note You need to log in before you can comment on or make changes to this bug.